--- old/usr/src/cmd/sgs/librtld_db/demo/Makefile.targ	2019-06-14 20:54:42.512122967 +0000
+++ new/usr/src/cmd/sgs/librtld_db/demo/Makefile.targ	2019-06-14 20:54:42.530966442 +0000
@@ -60,7 +60,7 @@
 		$(LINK.c) $(LDFLAG) -o $@ ../tests/simp.c -R. ./libsub.so.1
 
 libsub.so.1: ../tests/sub.c
-		$(LINK.c) $(LDFLAG) -o $@ -G -Kpic -hlibsub.so.1 ../tests/sub.c
+		$(LINK.c) $(LDFLAG) -o $@ -G -fpic -hlibsub.so.1 ../tests/sub.c
 
 #
 # RDB sample runs & tests
--- old/usr/src/cmd/sgs/librtld_db/demo/common/bpt.c	2019-06-14 20:54:43.105081059 +0000
+++ new/usr/src/cmd/sgs/librtld_db/demo/common/bpt.c	2019-06-14 20:54:43.127993612 +0000
@@ -376,7 +376,7 @@
 		handle_sp_break(ph);
 
 	if (ph->pp_flags & FLG_PP_LMAPS) {
-		if (get_linkmaps(ph) != PS_OK)
+		if (get_linkmaps(ph) != RET_OK)
 			(void) fprintf(stderr, "problem loading linkmaps\n");
 	}
 
@@ -499,7 +499,7 @@
 		perr("stn: PRCFAULT");
 
 	if ((flgs & FLG_SN_VERBOSE) && (ph->pp_flags & FLG_PP_LMAPS)) {
-		if (get_linkmaps(ph) != PS_OK)
+		if (get_linkmaps(ph) != RET_OK)
 			(void) fprintf(stderr, "problem loading linkmaps\n");
 	}
 
--- old/usr/src/cmd/sgs/librtld_db/demo/common/main.c	2019-06-14 20:54:43.674291313 +0000
+++ new/usr/src/cmd/sgs/librtld_db/demo/common/main.c	2019-06-14 20:54:43.693088931 +0000
@@ -169,7 +169,7 @@
 	 */
 	if ((cpid = fork()) == 0) {
 		(void) execv(argv[optind], &argv[optind]);
-		perr(argv[1]);
+		perr(argv[optind]);
 	}
 
 	if (cpid == -1)	/* fork() failure */
--- old/usr/src/cmd/sgs/librtld_db/demo/common/ps.c	2019-06-14 20:54:44.211527411 +0000
+++ new/usr/src/cmd/sgs/librtld_db/demo/common/ps.c	2019-06-14 20:54:44.232594971 +0000
@@ -330,7 +330,7 @@
 	if (read(lwpfd, &lwpstatus, sizeof (lwpstatus)) == -1)
 		return (PS_ERR);
 
-	gregset = lwpstatus.pr_reg;
+	memcpy(gregset, lwpstatus.pr_reg, sizeof (*gregset));
 
 	(void) close(lwpfd);
 	return (PS_OK);
